## GgitCredPlaintext GgitCredPlaintext |

## Functions

GgitCredPlaintext * | ggit_cred_plaintext_new ()
const gchar * | ggit_cred_plaintext_get_username ()
const gchar * | ggit_cred_plaintext_get_password ()

## Properties

gchar * | password | Read / Write / Construct Only
gchar * | username | Read / Write / Construct Only

## Types and Values

| GgitCredPlaintext
struct | GgitCredPlaintextClass

## Object Hierarchy

        GObject
        ╰── GgitObjectFactoryBase
            ╰── GgitNative
                ╰── GgitCred
                    ╰── GgitCredPlaintext

## Implemented Interfaces

GgitCredPlaintext implements GInitable.

## Description

## Functions

### ggit_cred_plaintext_new ()

    GgitCredPlaintext *
    ggit_cred_plaintext_new (const gchar *username,
                             const gchar *password,
                             GError **error);

### ggit_cred_plaintext_get_username ()

    const gchar *
    ggit_cred_plaintext_get_username (GgitCredPlaintext *cred);

### ggit_cred_plaintext_get_password ()

    const gchar *
    ggit_cred_plaintext_get_password (GgitCredPlaintext *cred);

## Types and Values

### GgitCredPlaintext

    typedef struct _GgitCredPlaintext GgitCredPlaintext;

Represents a plain text credential.

### struct GgitCredPlaintextClass

    struct GgitCredPlaintextClass {
    };

## Property Details

### The `“password”` property

      “password”                 gchar *

The password.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“username”` property

      “username”                 gchar *

The user name.

Flags: Read / Write / Construct Only

Default value: NULL